<?php
// 環境定義ファイル・稼働モード時の動作を設定
require_once (dirname(__FILE__).'/apicommon.php');

// 不正POSTチェック
if(empty($_POST['gekijo_id'])) {
 echo json_encode("error");
 exit();
}

$init_success = false;
$session_change = true;
//--------------------------------------------------------
// セッション(正常なアクセスか判定)チェック
//--------------------------------------------------------
require_once (dirname(__FILE__).'/apisessionchk.php');

$data = array();

//ユーザー有効
if($init_success){
//--------------------------------------------------------
// 劇場を管理するテーブル(TBL_GEKIJO)を読み込む
//--------------------------------------------------------
 try {
//データベース関数のファイルの読み込み
  require_once ('../../'.L_BASE.'/db/gekijo.php');

  $gekijo = new gekijoDb();
  $ret_gekijo = $gekijo->selectGekijo($_POST['gekijo_id']);
  $gekijo->closeDetaBase();
 }catch(ErrorException $ex){
  if(DEBUG_LEVEL != "0"){
   error_log("[". date('Y-m-d H:i:s') . "]". "theaterRecord01\n","3","debug.log");
   error_log(print_r($ex->getMessage(),true)."\n","3","debug.log");
  }
 }catch(PDOException $ex){
  if(DEBUG_LEVEL != "0"){
   error_log("[". date('Y-m-d H:i:s') . "]". "theaterRecord02\n","3","debug.log");
   error_log(print_r($ex->getMessage(),true)."\n","3","debug.log");
  }
 }

 foreach ($ret_gekijo as $key => $value){
  $data[$key] = array(
   "gekijo_id"=> $value['gekijo_id'],
   "gekijo_kind"=>$value['gekijo_kind'],
   "gekijo_existence"=>$value['gekijo_existence'],
   "gekijo_name"=>$value['gekijo_name'],
   "gekijo_sname"=>$value['gekijo_sname'],
   "gekijo_postcode"=>$value['gekijo_postcode'],
   "gekijo_prefectures"=>$value['gekijo_prefectures'],
   "gekijo_address1"=>$value['gekijo_address1'],
   "gekijo_address2"=>$value['gekijo_address2'],
   "gekijo_address3"=>$value['gekijo_address3'],
   "gekijo_url"=>$value['gekijo_url'],
   "gekijo_tel"=>$value['gekijo_tel'],
   "gekijo_mail"=>$value['gekijo_mail'],
   "gekijo_explanation"=>$value['gekijo_explanation'],
   "gekijo_comment"=>$value['gekijo_comment'],
   "user_id"=>$value['user_id']
  );
 }
}
//--------------------------------------------------------
// 劇場を管理するテーブル(TBL_GEKIJO)のデータを送信
//--------------------------------------------------------
$json_data = array(
 "draw" => 1,
 "recordsTotal" => count($data) ,
 "recordsFiltered" => count($data) ,

 "data" => $data
);
echo json_encode($data);  // send data as json format
?>
