<?php
//環境定義ファイルを読み込む
require_once (dirname(__FILE__).'/../../config.php');
require_once ('../../'.L_BASE.'/setting.php');

//稼働モード時の動作を設定
switch (DEBUG_LEVEL) {
 case '1': // テストモード
  ini_set('display_errors', 'Off');  //エラー表示をOFF
  ini_set('log_errors', 'On'); //エラーログをON
  error_log("[". date('Y-m-d H:i:s') . "]".$_SERVER['PHP_SELF']."\n","3","./debug.log");
  break;

 case '2': // 開発モード
  ini_set('display_errors', 'On');  //エラー表示をON
  ini_set('log_errors', 'On'); //エラーログをON
  error_log("[". date('Y-m-d H:i:s') . "]".$_SERVER['PHP_SELF']."\n","3","./debug.log");
  break;

 default: // 0: 本番モード
  ini_set('display_errors', 'Off');  //エラー表示をOFF
  ini_set('log_errors', 'Off'); //エラーログをON
  break;
}

?>
